Proxmox VE 5.2 released!

Discussion in 'Proxmox VE: Installation and configuration' started by martin, May 16, 2018.

  1. martin

    martin Proxmox Staff Member
    Staff Member

    Joined:
    Apr 28, 2005
    Messages:
    618
    Likes Received:
    268
    We are very excited to announce the general availability of Proxmox VE 5.2!

    The new GUI tools for creating Proxmox VE Clusters and the Let´s Encrypt Certificate Management can save you a lot of time if you install and manage several clusters. Cloud-init, Samba/CIFS storage plugin, improved Xterm.js, I/O limits for restore job, ... and more! Including updates of all important packages, 4.15 kernel, qemu 2.11, lxc 3.0 ...

    And countless bugfixes and improvements on a lot of places.

    Release notes
    https://pve.proxmox.com/wiki/Roadmap#Proxmox_VE_5.2

    Video
    Watch our short introduction video - What's new in Proxmox VE 5.2

    Download
    https://www.proxmox.com/en/downloads
    Alternate ISO download:
    http://download.proxmox.com/iso/

    Documentation
    https://pve.proxmox.com/pve-docs/

    Source Code
    https://git.proxmox.com

    Bugtracker
    https://bugzilla.proxmox.com

    FAQ
    Q: Can I install Proxmox VE 5.2 on top of Debian Stretch?
    A: Yes, see https://pve.proxmox.com/wiki/Install_Proxmox_VE_on_Debian_Stretch

    Q: Can I upgrade Proxmox VE 5.x to 5.2 with apt?
    A: Yes, just via GUI or via CLI with apt update && apt dist-upgrade

    Q: Can I upgrade Proxmox VE 4.x to 5.2 with apt dist-upgrade?
    A: Yes, see https://pve.proxmox.com/wiki/Upgrade_from_4.x_to_5.0. If you Ceph on V4.x please also check https://pve.proxmox.com/wiki/Ceph_Jewel_to_Luminous. Please note, Proxmox VE 4.x will be end of support in June 2018, see Proxmox VE Support Lifecycle

    Many thank you's to our active community for all feedback, testing, bug reporting and patch submissions!

    __________________
    Best regards,

    Martin Maurer
    Proxmox VE project leader
     
    DerDanilo and fireon like this.
  2. Alessandro 123

    Joined:
    May 22, 2016
    Messages:
    594
    Likes Received:
    18
    I've upgraded some packages (full upgrade will be made in the following days) and now the javascript console tab is missing.

    I did many times before this "partial" upgrade with no issue at all (i'm just upgrading the web interface)
     
  3. badji

    badji Member

    Joined:
    Jan 14, 2011
    Messages:
    171
    Likes Received:
    4
    Congratulations and thank's to all the team proxmox ve.
    A good product.

    Merci.
     
    janos likes this.
  4. Alwin

    Alwin Proxmox Staff Member
    Staff Member

    Joined:
    Aug 1, 2017
    Messages:
    1,512
    Likes Received:
    131
    Yes, it's now incorporated into the shell/console tab (depending on configuration; also see datacenter -> options).
     
  5. Alessandro 123

    Joined:
    May 22, 2016
    Messages:
    594
    Likes Received:
    18
    I've set xtermjs as default but VM Console is still novnc
     
  6. tom

    tom Proxmox Staff Member
    Staff Member

    Joined:
    Aug 29, 2006
    Messages:
    12,899
    Likes Received:
    320
    A VM is using always NoVNC - only if you have a serial console configured with Linux, xterm.js can be used. Is this the case?
     
  7. Alessandro 123

    Joined:
    May 22, 2016
    Messages:
    594
    Likes Received:
    18
    Yes, I have a serial console configured, because I'm able to use xterm.js by opening it manually from the "Console" button
     
  8. tom

    tom Proxmox Staff Member
    Staff Member

    Joined:
    Aug 29, 2006
    Messages:
    12,899
    Likes Received:
    320
    There is no change here, opening the xterm.js console via the "_Console" button on top right should still work.
     
  9. Coneng

    Coneng New Member

    Joined:
    Aug 14, 2015
    Messages:
    13
    Likes Received:
    0
    Is there a way to upgrade from the iso image (CD/DVD) of v5.2
     
  10. EuroDomenii

    EuroDomenii Member
    Proxmox VE Subscriber

    Joined:
    Sep 30, 2016
    Messages:
    95
    Likes Received:
    15
  11. Alessandro 123

    Joined:
    May 22, 2016
    Messages:
    594
    Likes Received:
    18
    Yes that work. What is not working is xterm.js set as default that should be opened also by accessing the "Console" tab.
     
  12. tom

    tom Proxmox Staff Member
    Staff Member

    Joined:
    Aug 29, 2006
    Messages:
    12,899
    Likes Received:
    320
    This works for containers but not for VMs, as by default a VM cannot be accessed via xterm.js.
     
    chrone likes this.
  13. fabian

    fabian Proxmox Staff Member
    Staff Member

    Joined:
    Jan 7, 2016
    Messages:
    3,054
    Likes Received:
    464
    "partial" upgrades are not supported in PVE - see the docs and the built-in upgrade functionality. always use "apt-get update; apt-get dist-ugprade", "apt update; apt dist-upgrade" or "pveupdate; pveupgrade".
     
    chrone likes this.
  14. tschanness

    tschanness Member

    Joined:
    Oct 30, 2016
    Messages:
    244
    Likes Received:
    16
    Great, thanks for the upgrade!
     
  15. Jota V.

    Jota V. New Member

    Joined:
    Jan 29, 2018
    Messages:
    8
    Likes Received:
    0
    Thanks. Good job!
     
  16. Zamana

    Zamana New Member

    Joined:
    Dec 20, 2015
    Messages:
    11
    Likes Received:
    0
    "Q: Can I upgrade Proxmox VE 5.x to 5.2 with apt?
    A: Yes, just via GUI or via CLI with apt update && apt dist-upgrade"

    Is this available for non-subscribers?

    Thanks.
    Regards.
     
  17. udo

    udo Well-Known Member
    Proxmox VE Subscriber

    Joined:
    Apr 22, 2009
    Messages:
    5,660
    Likes Received:
    140
    Hi,
    yes, of course.

    Udo
     
  18. Zamana

    Zamana New Member

    Joined:
    Dec 20, 2015
    Messages:
    11
    Likes Received:
    0
    Hi!

    Well... It doesn't work.

    Do I need to put some new repository in the sources.list?

    Thanks.
     
  19. udo

    udo Well-Known Member
    Proxmox VE Subscriber

    Joined:
    Apr 22, 2009
    Messages:
    5,660
    Likes Received:
    140
  20. dtiKev

    dtiKev New Member

    Joined:
    Apr 7, 2018
    Messages:
    29
    Likes Received:
    0
    My repos are set exactly as the non-sub ones are listed in that link and when I run apt update && apt dist-upgrade it's not reacting with an upgrade... just:

    Code:
    ~# apt update && apt dist-upgrade
    Hit:1 http://security.debian.org stretch/updates InRelease
    Hit:2 http://download.proxmox.com/debian/pve stretch InRelease
    Ign:3 http://ftp.debian.org/debian stretch InRelease
    Get:4 http://ftp.debian.org/debian stretch Release [118 kB]
    Get:5 http://ftp.debian.org/debian stretch Release.gpg [2,434 B]
    Get:6 http://ftp.debian.org/debian stretch/main amd64 Packages [7,122 kB]
    Get:7 http://ftp.debian.org/debian stretch/main Translation-en [5,394 kB]
    Get:8 http://ftp.debian.org/debian stretch/contrib amd64 Packages [50.9 kB]
    Get:9 http://ftp.debian.org/debian stretch/contrib Translation-en [45.9 kB]
    Fetched 12.7 MB in 3s (3,460 kB/s)
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    All packages are up to date.
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice